# Get the list of SMS signature qualification application records - GetUSMSSignatureQualification

## Overview

Get the list of SMS signature qualification application records






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUSMSSignatureQualification`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |**Yes**|
| **Page** | int | Page Index |**Yes**|
| **NumPerPage** | int | Items per page |**Yes**|
| **OrderBy** | string | Sorting Field, QualificationId/CreateTime |**Yes**|
| **OrderType** | string | Sort Type: desc, asc |**Yes**|
| **QualificationAttr** | int | Signature Qualification Attribute: 0-For Own Use, 1-For Others |No|
| **Status** | int | Signature Qualification Status: 0-Draft 1-Under Review 2-Approved 3-Not Approved 4-Manually Disabled |No|
| **InAccountIds.N** | string | Project ID List |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Total** | int | Total Number of Signature Qualifications |No|
| **Data** | array[[*OutSignatureQualification*](#outsignaturequalification)] | Signature Qualification Result Set |No|

#### Data Model


#### OutSignatureQualification

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **QualificationId** | string | Qualification Id |No|
| **AccountId** | int | Project Id |No|
| **Name** | string | Qualification Name |No|
| **Attr** | int | Qualification Attributes: 0-Self-use 1-Other-use |No|
| **CompanyName** | string | Company Name |No|
| **ManagerName** | string | Person in Charge Name |No|
| **HandlerName** | string | Operator Name |No|
| **Status** | int | Status: 0-Draft 1-Under Review 2-Review Approved 3-Review Failed 4-Manually Disabled |No|
| **ErrCode** | int | Review Failed Error Code |No|
| **ErrDesc** | string | Reason for Audit Failure |No|
| **CreateTime** | int | Create Timestamp |No|
| **ModifyTime** | int | Modify Timestamp |No|
| **ReviewStartTime** | int | Audit Start Timestamp |No|
| **ReviewEndTime** | int | Audit Completion Timestamp |No|

## Example

### Request Example
    
```
https://api.dezai.com/?Action=GetUSMSSignatureQualification
&ProjectId=tofQmglv
&Page=5
&NumPerPage=9
&OrderBy=RepCRYTo
&OrderType=ExYtBIBv
&FuzzySearch=qiMnkZRA
&QualificationAttr=6
&Status=5
&InAccountIds.N=NWdHcSQp
```

### Response Example
    
```json
{
  "Action": "GetUSMSSignatureQualificationResponse",
  "Data": [
    {
      "AccountId": 6,
      "Attr": 1,
      "CompanyName": "xIHieGtk",
      "CreateTime": 5,
      "ErrCode": 4,
      "ErrDesc": "hXpuBiew",
      "HandlerName": "kEfhjhHv",
      "ManagerName": "gpguEosN",
      "ModifyTime": 2,
      "Name": "aQoUAYxz",
      "QualificationId": "ogSpfKTv",
      "ReviewEndTime": 4,
      "ReviewStartTime": 6,
      "Status": 2
    }
  ],
  "Message": "KvIyuExp",
  "RetCode": 0,
  "Total": 3
}
```





